openmemory
Docs
Records

Delete a record

DELETE
/v1/collections/{collection}/records/{id}

Authorization

headerAuthorizationBearer <token>

Your space key (om_...). Create one with POST /v1/spaces.

Path Parameters

collection*string

Collection name, e.g. commitments, goals, routines.

Match^[A-Za-z0-9][A-Za-z0-9_.-]*$
Length1 <= length <= 64
id*string
Length1 <= length <= 64

Response Body

Deleted

application/json
  1. response
deleted*string
Example Request
curl -X DELETE 'https://api.openmemory.sh/v1/collections/string/records/string'
Example Response
{  "deleted": "string"}